import { HttpOperation, HttpOperationMultipartBody } from "@typespec/http";
import { Module } from "../../ctx.js";
import { HttpContext } from "../index.js";
/**
 * Parse a multipart request body according to the given body spec.
 *
 * @param ctx - The emitter context.
 * @param module - The module that this parser is written into.
 * @param operation - The HTTP operation this body is being parsed for.
 * @param body - The multipart body spec
 * @param bodyName - The name of the variable to store the parsed body in.
 * @param bodyTypeName - The name of the type of the parsed body.
 */
export declare function emitMultipart(ctx: HttpContext, module: Module, operation: HttpOperation, body: HttpOperationMultipartBody, ctxName: string, bodyName: string, bodyTypeName: string): Iterable<string>;
export declare function emitMultipartLegacy(ctxName: string, bodyName: string, bodyTypeName: string): Iterable<string>;
//# sourceMappingURL=multipart.d.ts.map