import { Namespace, Type } from "@typespec/compiler";
/**
 * A TypeSpec type that may be attached to a namespace.
 */
export type NamespacedType = Extract<Type, {
    namespace?: Namespace | undefined;
}>;
/**
 * Computes the fully-qualified name of a TypeSpec type, i.e. `TypeSpec.boolean` for the built-in `boolean` scalar.
 */
export declare function getFullyQualifiedTypeName(type: NamespacedType): string;
//# sourceMappingURL=name.d.ts.map