/**
 * Provides an alternative name for anonymous TypeSpec.Array elements.
 * @param typeName
 * @returns
 */
export declare function getArrayElementName(typeName: string): string;
/**
 * Provides an alternative name for anonymous TypeSpec.Record values.
 * @param typeName
 * @returns
 */
export declare function getRecordValueName(typeName: string): string;
/**
 * Produces the name of an array type for a given base type.
 *
 * If the type name is a simple identifier, this will use the `[]` syntax,
 * otherwise it will use the `Array<>` type constructor.
 *
 * @param typeName - the base type to make an array of
 * @returns a good representation of an array of the base type
 */
export declare function asArrayType(typeName: string): string;
//# sourceMappingURL=pluralism.d.ts.map